AutoCAD VB :: Blocks And Solids Orientation In 3D Space
Aug 30, 2011In VBA environment I'm seeking a method to detect the orientation of blocs and solids in 3D space through the X,Y and Z axis.
There is a object.method? or a procedure?
In VBA environment I'm seeking a method to detect the orientation of blocs and solids in 3D space through the X,Y and Z axis.
There is a object.method? or a procedure?
In .NET environment I'm seeking a method to detect the orientation (rotation angle) of blocks and solids in 3D space through the X,Y and Z axis.
There is a object.method? or a procedure?
In AutoCAD 2013:
I have received a model in which the solids all appear "rendered" in model space. For example, if I extrude a circle or a rectangle, it immediately appears rendered. I am used to (and require) the solids as wire frames. Is there some setting that makes solids in this drawing appear rendered while mine (in a new drawing) appear as wire frames?
I drew several components in one drawing and saved them with WBLOCK. I opened the drawing into which I wanted to insert the blocks but they are no longer soilds. They are just the lines upon which the original soilids were based. What have I done wrong?
UPDATE: I purged the drawing and the blocks inserted correctly.
with word EXPLODE i don't meen the explode command. To brake appart part (block or solid).
But i would like to "explode" all parts (blocks or solids) appart and move eatch of them some disstance appart from enother for presentation purposes and then join them together if i would like again with a command to return to original place.
Any way to do that automaticly with a command in Autocad 2008?
Since it's a snow day here I have some time to work on some office stuff. I've created my new template now I want to update my blocks. Because I have to place blocks that show a direction for operation I have created 4 blocks of the same symbol-up, down, left, right. I do this because these blocks have text with them that needs to be orientated to the layout (otherwise I get a nasty letter back from the fire marshal). Now for the text that is constant I just use a annotative text style and have the text match the layout but the text that is an attribute I'm not sure if that can be annotative and match the layout as well.
View 9 Replies View RelatedI am a landscape architect trying to xref in civil backgrounds. I have noticed twice now from two different civil firms that some of the civil symbols (dynamic blocks) are having visibility issues in paper space. No the viewport layers are not turned off or frozen. No the views weren't placed using the sheet set manager. Yes the blocks are created on layer zero and yes the associated layer is not off or frozen. I don't believe these blocks are annotative blocks. They appear, as expected, perfectly clear in model space. I just toggel over to paper space and "poof" they've disappeared.
View 9 Replies View RelatedI'm trying to create a block that reads the x and y coordinates of a point from the end of a leader. Which is fine and easy enough if I use the block in the same space.. ie model space or paper space (layout tab).
However I wan't to be able to capture the coordinate from the model space, through the viewport, and pass it onto the block in Paper Space. Is this possible?
Or is it a case of having to use a more LISP based approach?
How to (annotate / match orientation) for multiple blocks in the one go ?
I have to alter blocks with alomst every survey dwg I receive whilst at work. Just wondering if there is a quick way to do all blocks in the one go !
Is it possible to have a dynamic block with text which, when inserted into a drawing, will show the text orientation matched to the layout? I have a non-dynamic block which is simply a donut and a piece of text. When I insert it into a drawing, the text orientation will change to suit the orientation of the layout. I created another block with the same entities but I also added a couple of lines extending out from the center of the donut. I added stretch and rotation actions in order to rotate and stretch the lines.
I also gave the block visibility states so that either one or two lines would appear (the block is a utility pole,by the way, with the lines representing guy wires). When I insert the dynamic block into a drawing, I cannot get the text to match the orientation of the viewport. I've tried changing different combinations of settings but the text won't appear horizontal.
The two blocks I mentioned above are inserted into one file with a number of other blocks. When I check the properties of the non-dynamic block, the "match orientation" is set to YES. I cannot, however, change the "match to orientation" setting to YES on the dynamic block. Is this simply because it is a dynamic block or am I missing something? I don't create a lot of dynamic blocks and therefore I am not a wizard at it so I am assuming I am doing something wrong.
I often have the need to change the orientation of my vieports to better fit my project.
I often, and I mean 9/10 times get one or more fata errors when try to do so.
For clarification I am grabbing the wheel in the top right corner between N and E and rotating the view. When I release the drawing is not in view. Then the program crashes.
It is very frustrating and adding hour on to my day.
CPU: (Brand NEW)
MSI GT70
Intel Core i7-3610QM
NVIDIA Geforce GTX 670M/3G GDDR5
12 (+4) GB of RAM
I know I am not running a quadro but I should still be able to handle this type of task.
I am trying to program the view placement of various parts and have run into a situation where I need to place flat patterns. On the programming side there isn't an issue, but the issue occurs when attempting to select the wanted view orientattion.
Attached you will find 2 screen shots. One of them is from the "Folded Model" (Take note of the View Cube)
The other is from only Pressing the "Go to Flat Pattern" Button and being in "Flat Pattern" viewing mode (Note the Cube)
I need the Flat Pattern View to correspond with the Orientation of the Folded Model.
I'm working on a dynamic door, that has specific parameters to change its size and orientation. Everything works pretty good, only the arc for the door won't react the way I want it.
View 8 Replies View RelatedI use a routine to read all blocks from model space. It normally reads all blocks but now we have one issue.
A block is not read when it's placed below Y-coordinate -170.
- this is only on certain computers, on other computers it runs fine.
- this is only when the VBA program is started from paper space, if it's started from modelspace it reads all blocks.
Code I use to read all blocks:
Set objAutoCad = ThisDrawing.Application
Set objModelSpace = objAutoCad.ActiveDocument.ModelSpace()
For Each objEntity In objModelSpace
[Code]....
Since the problem is not on all computers I expect this problem is related to some setting in AutoCAD.
I’ve been given a drawing with 3 drawings w/title blocks in Paper Space, REV A, B & C. A is on the left, B is in the middle and C is on the right. It appears somebody has been printing REV B as when I select print it jumps straight to that drawing.
How would I print REV A or C? I can do it now but I have to delete the other 2 drawings so it focuses on the only remaining drawing.
I've created my first dynamic blocks...but when i insert them into my dwg they are way off in space. i've tried selecting a base point in the library file. and i've tried using INSBASE 0,0,0 but no luck. my dyn block is made up of several individual blocks.
using: civil 3D 2011
I have created a block in the model tab with the annotative scale set at 1'-0" = 1'-0" with the UCS set to World. When the block is inserted in model space either on the model tab or thru viewport it displays and prints correctly. However when the same block is inserted into paperspace on a layout tab the block appears correctly but when printed either hardcopy or PDF it is rotated 90 degress around its insertion. This malfunctions the same whether it is inserted directly or nested in a legend block.
It is also not one particular block or drawing but (mal)functions across drawings and block definitions.
I really don't want to have to make two sets of blocks for the project.
Is it possible to count blocks in either the model space or in each layout? Would be very useful for fire alarm design, cause authorities require exact counts of devices.
View 9 Replies View RelatedI have a multiple blocks in my drawing and I would like to select certain obejects within these block from model space, i.e all lines = White, and then return their their combined length.
At the moment I have to explode all of the blocks, use qselect, run length.lsp to get the combined length of the selection and then undo the actions previous to the block explosion.
I have AutoCAD 2013 and usially use in my work dynamic blocks with wipeout, e.g. valves, pumps and others.
So, few days ago I found that I cannot export my drawing from layout to model space. Everything is exported except wipeouts.
Is it something about new Autodesk politics or what? AutoCAD 2010 still works fine with the same drawing.
Examle.dwg is attached.
I need to count the blocks in paper space automatically. Is there any method or lisp for this.
View 7 Replies View RelatedI have been working with attributes and visibility states for months, i've created a dozen blocks that have worked exactly as designed... Now every block i make with the same method is not working properly
attached is a really simple block. to the left are the 4 individual attributes in the block. on the right is the dynamic block with 4 visibility settings to show 1 attribute, 2 attributes, etc... everything is perfect in the block editor, in model space; vis state 1 shows 3 att's, vis state 2 shows 3 att's, and vis states 3&4 work as designed.
I'm under the gun to create standard blocks to collaborate with 2 other another firms.
I am a bit new at 3D drawings, for many years it's been only 2D files used for .dxf purposes. My method is using "3D face" and them "extruding" to the size I want. When I view my layout or model, my 3D objects appear to be solids, but show some transparency. When I preview or print, they only come out as lines. How can I make these objects solid and print them?
View 9 Replies View RelatedI'm trying to understand extrusion to 3D solids better. This started when I drew a joined, closed 3dpolyline and found it wouldn't extrude (the shape titled 3D POLYLINES 4 sides joined, in the attached DWG), even though everything lies in the same plane (z=0). It gives the error "segment chord not perpendicular to normal". A chord is part of a circle, and there are no circles in the .dwg, so I don't understand the error. If you join only 2 or 0 sides, then at least 2D extrusion to a surface is allowed, but not if all 4 sides are joined, i.e. one 3D polyline.
If I draw regular polylines overtop the 3D polylines, then join and close them, it extrudes into a solid. This suggests that 3D polylines can't be extruded into a solid when regular polylines can, yet if I draw some scratch 3D polyline geometry that is joined and closed, these 3D polylines will join. It's as if I've found some secret shape that AutoCAD refuses to allow extrusion on.
How it's a 3d problem I though I'd ask anyway) but my pic is my problem (in red). How to get the curve in the solids (inside the red). I tried fillet but that didn't work .
View 9 Replies View RelatedI have a single-line riser diagram in 3D I want to flatten to 2D. things like super flatten and such don't work because I'm not using solids, just single lines.
View 4 Replies View RelatedIn 2012 Autocad, cannot change from model space to paper space, or paper space to model space without locking up in several drawings.
In 2012 Autocad, cannot change from model space to paper space, or paper space to model space without locking up in several drawings.
I can log into another user's computer and open the file fine. But when i use my computer or a brand new computer fitting all Auto CAD specs, it locks up. When I plot I have to reset my settings to the PTE standards every time.
I now get CAD errors when CAD is not even open. Also VTPSUHM barely works. I generally have to restart my computer several times to get it to work.
Lisp that would permit Toggling from Paper Space into the same zoomed area within Model Space and vice versa.
View 3 Replies View Relatedafter discovering zones and the space evaluation tool I wonder whether it is possible to customise the XLS output further by also reading out information from a property set attached to the space?
The office standard is to have a property set attached to each space that defines a room number (which is the level ID plus a number, say G-01), the area and the space name.
We used to simply schedule the areas with a schedule table. That only gives us net rooms, no subtotals per department (or say per flat) and no grandtotal.So we got as far as using zones grouping the spaces in each flat.
Now I need an area schedule XLT template that also displays the room number from the space's property set and the schedule grouped in a fashion that I get subtotals per flat (=my zones) in another column and a grandtotal.Playing with the Space evaluation tool I seem to only ever get Room/ zone names and their areas.
I would like to add a "vertici" to the middle of the side of a rectangle solid and pull this up to form a triangle.
View 5 Replies View RelatedI've been trying to convert 3D dwg models to 3D dgn models without success, using AutoCAD 2012.
The DGN either displays the solid, which isn't visible in a Microstation extraction or it just exports the centrelines/linework and not the solids.
Is this possible in newer version ? i.e. 2013/2014.
I've tried the export to ACIS .sat file and that works fine, but it moves everything to the same lavel/layer which defeats to object of seperatng the items in the first place.